WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | List of all members
winstd::CoTaskMemFree_delete Struct Reference
COM object management

Deleter for unique_ptr using CoTaskMemFree. More...

`#include <COM.h>`

## Public Member Functions
| CoTaskMemFree_delete () noexcept
| Default constructor.
template<class _T >
void | operator() (_T *_Ptr) const
| Delete a pointer. More...

## Detailed Description

Deleter for unique_ptr using CoTaskMemFree.

## Member Function Documentation

## ◆ operator()()

template<class _T >

void winstd::CoTaskMemFree_delete::operator() | ( | _T * | _Ptr | ) | const
| inline

Delete a pointer.

See also
  CoTaskMemFree function

The documentation for this struct was generated from the following file:

- include/WinStd/COM.h